Summary:	Graph editor written in Java
Name:		edugraphe
Version:	1.1
Release:	%mkrel 15
Group:		Sciences/Mathematics
License:	GPLv2
# Upstream seems dead, the website does not exist anymore
URL:		http://joel.amblard.pagesperso-orange.fr/prg/edu/index.html
Source0:	%{name}-%{version}.zip
Source1:	%{name}.png
BuildRequires:	java-devel
Requires:	java
BuildArch:	noarch

%description
Easy-to-use graph editor in Java, particularly well suited
for educational uses. It can plot functions and all sorts of
curves, numerical sequences, and solve graphically and
numerically some typical problems of secondary education.
Edugraphe is available in English and French.

%files
%{_bindir}/%{name}
%{_javadir}/edugraphe.jar
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*

#--------------------------------------------------------------------

%prep
%setup -q

%build
export JAVA_TOOL_OPTIONS=-Dfile.encoding=UTF8
pushd source
sh compile.sh
popd

%install
%__mkdir -p %{buildroot}%{_javadir}
cp source/classes/edugraphe.jar %{buildroot}%{_javadir}

%__mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/bash
java -jar %{_javadir}/%{name}.jar
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

# desktop file
%__install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Edugraphe
GenericName=Graph editor written in Java
GenericName[ru]=Графический редактор, написанный на Java
Comment=Plots functions and numerical sequences
Comment[ru]=Построение функций и числовых последовательностей
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Education;Math;
EOF

%__mkdir -p %{buildroot}%{_datadir}/pixmaps
%__install -m644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.1-15.mga9
+ Revision: 1828147
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.1-14.mga8
+ Revision: 1490276
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-13.mga7
+ Revision: 1261687
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1.1-12.mga6
+ Revision: 951338
- Mageia 6 Mass Rebuild

* Thu Dec 18 2014 alexl <alexl> 1.1-11.mga5
+ Revision: 804051
- fixed "unmappable character for encoding ASCII"

* Thu Dec 18 2014 alexl <alexl> 1.1-10.mga5
+ Revision: 804036
- rebuild for current Java stack (mga#14534)

* Fri Nov 28 2014 alexl <alexl> 1.1-9.mga5
+ Revision: 799747
- shorter description
- use own icon
- translated desktop file into Russian

* Wed Oct 15 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 747880
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-7.mga5
+ Revision: 678963
- Mageia 5 Mass Rebuild

* Sun Nov 24 2013 akien <akien> 1.1-6.mga4
+ Revision: 552708
- Added icon to desktop file (mga#8423)
- Wrote proper description
- Remove BR on locales-fr
- Made binary executable

* Fri Oct 18 2013 umeabot <umeabot> 1.1-5.mga4
+ Revision: 504055
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 349520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 dmorgan <dmorgan> 1.1-3.mga1
+ Revision: 98001
- Fix desktop file
- Make it noarch
- Clean spec file
- Clean spec file
- Clean spec file
- Fix install
- Fix compile of the java code
- Fix compile of the java code
- imported package edugraphe

